
Ruby - Bug #20766

Endless range rejected inside defs singleton

09/28/2024 06:38 AM - tompng (tomoya ishida)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 3.4.0dev (2024-09-27T00:58:32Z

master 0c25eb4ffe) [x86_64-linux]

Backport: 3.1: UNKNOWN, 3.2: UNKNOWN, 3.3:

UNKNOWN

Description

These are syntax error with --parser=parse.y. I think it should be syntax ok.

def (1...).f; end

def (tap{1...}).f; end

 ruby-3.0: Syntax OK (checked with 3.0.6)

ruby-3.1: Syntax Error (checked with 3.1.4)

ruby --parser=prism: Syntax OK

Pull request: https://github.com/ruby/ruby/pull/11716

History

#1 - 09/30/2024 05:35 AM - mame (Yusuke Endoh)

- Status changed from Open to Closed
